GET
/v1/mgmt/widgetAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Query Parameters
id?string
Get a single widget by id in its exported representation, using a valid management key.
curl -X GET "https://api.descope.com/v1/mgmt/widget"{ "widgetId": "string", "metadata": { "name": "string", "description": "string", "type": "string", "components": [ "string" ], "columns": [ "string" ], "flowsIds": [ "string" ], "allowSubTenants": true, "eventActions": [ "string" ], "editMultiTenantUsers": true, "forAppUsers": true, "forTenantUsers": true, "eventExcludeFields": [ "string" ], "eventFilter": [ { "key": "string", "value": [ "string" ], "operator": "string", "type": "string", "valueStr": "string" } ], "translation": { "enabled": true, "connectorId": "string", "sourceLanguage": "string", "targetLanguages": [ "string" ] }, "requiredPermissions": [ "string" ] }, "screens": [ { "screenId": "string", "interactions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "contents": {} } ], "flows": [ { "flowId": "string", "metadata": { "name": "string", "description": "string", "componentsVersion": "string", "disabled": true, "fingerprint": true, "widget": true, "translation": { "enabled": true, "connectorId": "string", "sourceLanguage": "string", "targetLanguages": [ "string" ] }, "sharedInteractions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "management": true, "managementConfig": { "triggers": { "enabled": true, "triggerType": "string", "eventTriggers": { "triggeringEventTypes": [ "string" ] } } } }, "contents": {}, "screens": [ { "screenId": "string", "interactions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "contents": {} } ], "references": { "connectors": { "property1": "string", "property2": "string" }, "oauth": [ "string" ], "omitted": [ "string" ], "roles": { "property1": "string", "property2": "string" }, "userAttributes": [ "string" ], "tenantAttributes": [ "string" ] } } ]}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface Response {widgetId?: stringmetadata?: ExportedWidgetMetadatascreens?: ExportedWidgetScreen[]flows?: ExportedFlow[]}export interface ExportedWidgetMetadata {name?: stringdescription?: stringtype?: stringcomponents?: string[]columns?: string[]flowsIds?: string[]allowSubTenants?: booleaneventActions?: string[]editMultiTenantUsers?: booleanforAppUsers?: booleanforTenantUsers?: booleaneventExcludeFields?: string[]eventFilter?: FilterCondition[]translation?: ExportedWidgetTranslationrequiredPermissions?: string[]}export interface FilterCondition {key?: stringvalue?: string[]operator?: stringtype?: stringvalueStr?: string}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedWidgetTranslation {enabled?: booleanconnectorId?: stringsourceLanguage?: stringtargetLanguages?: string[]}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedWidgetScreen {screenId?: stringinteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]contents?: {}}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlow {flowId?: stringmetadata?: ExportedFlowMetadatacontents?: {}screens?: ExportedScreen[]/** * Used by managementservice snapshots - make sure not to break compatibility */references?: {connectors?: {[k: string]: string}oauth?: string[]omitted?: string[]roles?: {[k: string]: string}userAttributes?: string[]tenantAttributes?: string[]}}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowMetadata {name?: stringdescription?: stringcomponentsVersion?: stringdisabled?: booleanfingerprint?: booleanwidget?: booleantranslation?: ExportedFlowTranslationsharedInteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]management?: booleanmanagementConfig?: ManagementConfig}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowTranslation {enabled?: booleanconnectorId?: stringsourceLanguage?: stringtargetLanguages?: string[]}export interface ManagementConfig {triggers?: ManagementConfigTriggers}export interface ManagementConfigTriggers {enabled?: booleantriggerType?: stringeventTriggers?: ManagementConfigEventTriggers}export interface ManagementConfigEventTriggers {triggeringEventTypes?: string[]}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedScreen {screenId?: stringinteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]contents?: {}} Was this helpful?